%define anolis_release 1

Name:     opus
Version:  1.3.1
Release:  %{anolis_release}%{?dist}
Summary:  An audio codec for use in low-delay speech and audio communication
License:  BSD
URL:      https://www.opus-codec.org/

Source0:  https://ftp.osuosl.org/pub/xiph/releases/%{name}/%{name}-%{version}.tar.gz

# This is the final IETF Working Group RFC
Source1:  http://tools.ietf.org/rfc/rfc6716.txt 
Source2:  http://tools.ietf.org/rfc/rfc8251.txt

BuildRequires: make
BuildRequires: gcc
BuildRequires: doxygen

%description
The Opus codec is designed for interactive speech and audio transmission over 
the Internet. It is designed by the IETF Codec Working Group and incorporates 
technology from Skype's SILK codec and Xiph.Org's CELT codec.

%package  devel
Summary:  Development package for opus
Requires: libogg-devel
Requires: opus = %{version}-%{release}

%description devel
Files for development with opus.

%prep
%setup -q %{name}-%{version}
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
%configure --enable-custom-modes --disable-static \
           --enable-hardening --enable-ambisonics

%make_build

%install
%make_install

# Remove libtool archives
find %{buildroot} -type f -name "*.la" -delete
rm -rf %{buildroot}%{_datadir}/doc/opus/html

%check
make check %{?_smp_mflags} V=1

%ldconfig_scriptlets

%files
%license COPYING
%{_libdir}/libopus.so.*

%files devel
%doc README doc/html rfc6716.txt rfc8251.txt
%{_includedir}/opus
%{_libdir}/libopus.so
%{_libdir}/pkgconfig/opus.pc
%{_datadir}/aclocal/opus.m4
%{_datadir}/man/man3/opus_*.3.gz

%changelog
* Mon Apr 18 2022 zhang xianting <zhangxianting@uniontech.com> - 1.3.1-1
- Initial build for Anolis V23
